[gnome-alsamixer] Update autogen.sh to use gnome-autogen
- From: Bastien Nocera <hadess src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-alsamixer] Update autogen.sh to use gnome-autogen
- Date: Tue, 26 Jun 2012 14:10:52 +0000 (UTC)
commit 315f0695e4cad6497f0ea381ca04ef022ed40615
Author: Bastien Nocera <hadess hadess net>
Date: Tue Jun 26 14:48:14 2012 +0100
Update autogen.sh to use gnome-autogen
autogen.sh | 30 ++++++++++++------------------
1 files changed, 12 insertions(+), 18 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7f4a774..f6ddc0b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,26 +1,20 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-PROJECT=gnome-alsamixer
-
srcdir=`dirname $0`
-test #! /bin/sh
-
-export WANT_AUTOMAKE_1_6=1
-
-rm -rf autom4te.cache
-
-aclocal || exit 1
-
-glib-gettextize --force || exit $?
-
-autoheader || exit $?
+test -z "$srcdir" && srcdir=.
-automake --gnu --add-missing || exit $?
+PKG_NAME="gnome-alsamixer"
-autoconf || exit $?
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
-./configure --enable-maintainer-mode --enable-compile-warnings "$@" || exit $?
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
+}
-echo
-echo "Now type 'make' to compile $PROJECT."
+REQUIRED_PKG_CONFIG_VERSION=0.17.1 REQUIRED_AUTOMAKE_VERSION=1.11 USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh --enable-debug $*
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]